Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226033 - Merge Review: libmng
Summary: Merge Review: libmng
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:25 UTC by Nobody's working on this, feel free to take it
Modified: 2009-04-15 14:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-04-15 13:54:34 UTC
tcallawa: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:25:50 UTC
Fedora Merge Review: libmng

http://cvs.fedora.redhat.com/viewcvs/devel/libmng/
Initial Owner: nmurray@redhat.com

Comment 1 Gwyn Ciesla 2008-09-16 14:59:55 UTC
rpmlint on SRPM:

libmng.src: E: non-utf8-spec-file /tmp/libmng-1.0.9-7.src.rpm.15198/libmng.spec
The character encoding of the spec file is not UTF-8.  Convert it for example
using iconv(1).

libmng.src:41: W: configure-without-libdir-spec
A configure script is run without specifying the libdir. configure options
must be augmented with something like --libdir=%{_libdir} whenever the script
supports it.

libmng.src: E: tag-not-utf8 %changelog
The character encoding of the value of this tag is not UTF-8.

rpmlint on RPMS:

libmng.i386: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

libmng.i386: E: tag-not-utf8 %changelog
The character encoding of the value of this tag is not UTF-8.

libmng-debuginfo.i386: E: tag-not-utf8 %changelog
The character encoding of the value of this tag is not UTF-8.

libmng-devel.i386: E: tag-not-utf8 %changelog
The character encoding of the value of this tag is not UTF-8.


All pretty trivial, but should be fixed.

Source0 should change to: 
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

md5sum of provided source and that from upstream differ:
[limb@fawkes SPECS]$ md5sum libmng-1.0.7.tar.gz
863002cf13a60ccfd8be641b62e3cc58  libmng-1.0.7.tar.gz
[limb@fawkes SPECS]$ md5sum ../SOURCES/libmng-1.0.9.tar.gz
ff1205ef70855a75c098ea09690413c6  ../SOURCES/libmng-1.0.9.tar.gz

- MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ). See  Prepping BuildRoot For %install for details.

Fix.

Mock build OK, so BuildRequires are fine.  No other blockers after full review, so fix the above and we're set.

Comment 2 Gwyn Ciesla 2008-12-09 19:55:53 UTC
Ping?

Comment 3 Gwyn Ciesla 2009-03-31 15:19:59 UTC
Ping again?

Comment 4 Gwyn Ciesla 2009-04-14 13:19:04 UTC
Reassigning to Spot since I'm taking ownership of orphan.

Comment 5 Tom "spot" Callaway 2009-04-14 13:27:47 UTC
Looking at rawhide, here are the remaining issues:

libmng.src:40: W: configure-without-libdir-spec
I think this one is safe to ignore, because it is triggering off the "[ ! -x ./configure ]", not the %configure on line 41.

libmng.x86_64: W: no-documentation
Definitely needs to be fixed.

The UTF-8 issues were fixed (ancient changelog entry now has proper UTF-8).

Source0 should be:

http://download.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz

Sha1sums match now (78ad516a1de79d00de720bf2a7c9afea2c896b09).

- MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
( or $RPM_BUILD_ROOT ). See  Prepping BuildRoot For %install for details.

Comment 6 Gwyn Ciesla 2009-04-14 15:03:34 UTC
Fixed in rawhide.

Comment 7 Tom "spot" Callaway 2009-04-14 21:59:37 UTC
Two more things I noticed:

(1) The devel subpackage has:

Requires: %{name} = %{version}

That should be:

Requires: %{name} = %{version}-%{release}

(2) The spec is using %makeinstall, instead of make DESTDIR=$RPM_BUILD_ROOT install. The latter works fine, so there is no good excuse not to use it.

With those two minor fixes committed to rawhide, I can close out this merge review.

Comment 8 Gwyn Ciesla 2009-04-15 13:42:08 UTC
Fixed and built in rawhide (f12).

Comment 9 Tom "spot" Callaway 2009-04-15 13:54:19 UTC
Looks good. APPROVED.

Comment 10 Gwyn Ciesla 2009-04-15 14:10:38 UTC
Thanks!


Note You need to log in before you can comment on or make changes to this bug.